/*
** Module   : Spawner.java
** Abstract : define Spawner contract.
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**         Golden Code Development Corporation
**                 CONFIDENTIAL
**
** -#- -I- --Date-- ----------------------Description--------------------------
** 001 MAG 20131118 First version.
*/

package com.goldencode.p2j.main;

/**
 * Spawner contract.
 * 
 * @author mag
 *
 */
public interface Spawner
{
   /**
    * Notify when the remote embedded server is ready and listen.
    * 
    * @param   uuid
    *          Remote client assigned identifier.
    * @param   uri
    *          The server URI on which the remote server listen.
    */
   public void onRemoteServerListen(String uuid, String uri);   
   
   /**
    * Export server key store.
    * 
    * @param   uuid
    *          Remote client assigned identifier.
    * 
    * @return  The loaded server key store.
    */
   public ServerKeyStore exportServerKeyStore(String uuid);
}
